CK_HS_ITERATOR_INIT(3)

NAME
ck_hs_iterator_init - initialize hash set iterator

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_hs.h>

ck_hs_iterator_t iterator = CK_HS_ITERATOR_INITIALIZER

void
ck_hs_iterator_init(ck_hs_iterator_t *iterator);

DESCRIPTION
The ck_hs_iterator_init(3) function will initialize the object pointed to by the iterator argument. Alternatively, an iterator may be statically initialized by assigning it to the CK_HS_ITERATOR_INITIALIZER value.

An iterator is used to iterate through hash set entries with the ck_hs_next(3) function.

RETURN VALUES
ck_hs_iterator_init(3) has no return value.

ERRORS
This function will not fail.

SEE ALSO
ck_hs_init(3), ck_hs_move(3), ck_hs_destroy(3), CK_HS_HASH(3), ck_hs_next(3), ck_hs_get(3), ck_hs_put(3), ck_hs_put_unique(3), ck_hs_set(3), ck_hs_fas(3), ck_hs_remove(3), ck_hs_grow(3), ck_hs_rebuild(3), ck_hs_gc(3), ck_hs_count(3), ck_hs_reset(3), ck_hs_reset_size(3), ck_hs_stat(3)

Additional information available at http://concurrencykit.org/